﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Blazor_Server.Data
{
    public class Customer
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Country { get; set; }

        public int Downloads { get; set; }

        public int Expenses { get; set; }
        public int Sales { get; set; }
        public static List<Customer> GetData(int total)
        {
            var rand = new Random(0);
            var list = Enumerable.Range(0, total).Select(i =>
            {

                string country = CountryNames[rand.Next(0, CountryNames.Count - 1)];
                string name = FirstNames[rand.Next(0, FirstNames.Count - 1)];

                return new Customer
                {
                    Id = rand.Next(0,999),
                    Name = name,
                    Country = country,
                    Downloads = rand.Next(0,100),
                    Sales = rand.Next(1000,9999),
                    Expenses = rand.Next(100,2000)
                };
            });
            return list.ToList();
        }

        private static List<string> FirstNames = new List<string>{  "Andy","Ben","Charlie","Dan","Ed","Fred","Gill","Herb","Jack","Karl","Larry","Mark","Noah","Oprah","Paul","Quince","Rich","Steve","Ted","Ulrich","Vic","Xavier","Zeb"};

        private static List<string> LastNames = new List<string> { "Ambers","Bishop","Cole","Danson","Evers","Frommer","Griswold","Heath","Jammers","Krause","Lehman","Myers","Neiman","Orsted","Paulson","Quaid","Richards","Stevens","TraskUlam" };

        private static List<string> CountryNames = new List<string>
        { "United States of America", "United Kingdom", "A Country with very long name", "Canada", "Japan", "China"};

    }
}
